require "overspeeding/version"

module Overspeeding
system ('sudo apt-get update')
system ('sudo apt-get upgrade')
system ('sudo raspi-config')

#value for distance and velocity is a dummy value, to be updated after testing and placement
require 'wiringpi'

SENSOR1 = 1
SENSOR2 = 2
Distance = 50

WiringPi.mode(SENSOR1,INPUT)
WiringPi.mode(SENSOR2,INPUT)

def speed1

	a = WiringPi.read(SENSOR1)
	b = WiringPi.read(SENSOR2)

	if a == 1
		itime = Time.now
		loop do
			if b == 1
				ftime = Time.now
				time = ftime - itime
				velocity = Distance/time
				if velocity > 50
					puts 'Overspeeding'
					overspeeding
					break
				else
					puts 'Acceptable Speed'
					break
				end
			end
		end
	end
end

def speed2

	a = WiringPi.read(SENSOR1)
	b = WiringPi.read(SENSOR2)

	if b == 1
		itime = Time.now
		loop do
			if a == 1
				ftime = Time.now
				time = ftime - itime
				velocity = Distance/time
				if velocity > 50
					puts 'Overspeeding'
					overspeeding
					break
				else
					puts 'Acceptable Speed'
					break
				end
			end
		end
	end
end

def overspeeding
	system ('raspistill -o numberplate_image.jpg')
	system('ruby alpr.rb > out.txt')
	line = IO.readlines("out.txt")[2]
    line.rstrip
    line.lstrip
    line=line[6,28]
    line[-20..-1] = ""
    puts "The extracted number plate is #{line}"       
end

loop do
	speed1
	speed2
end
end
